Subject: Re: DST problem ?
From: Paul Berrevoets <[email-masked]>
To: [email-masked]
Cc: Gnuwin <[email-masked]>
Date: Tue, 14 Mar 2000 15:26:56 -0500

Please see:
 http://sourceware.cygnus.com/ml/cygwin/1999-10/msg00132.html
--
Regards,
Paul

Kris Thielemans wrote:

> Hi,
>
> I discovered that right now B20.1 'date' gives the time 1 hour in the
> future, similarly bash lists the date of my new files 1 hour in the future.
> (Everything is fine with NT utilities, they list the correct time).
> This seems to point to a problem with the DST settings. Indeed, using
> 'date -R' I get a +0100 timezone info, while I am in GMT.
>
> I saw this problem last year on an old AIX machine as well. The reason is
> that British Summer Time now 'sets in' at a different convention than it
> used to. We had to manually set
> TZ=GMT0BST,M3.5.0/02:00:00,M10.5.0/03:00:00
>
> Unfortunately, this does not help on cygwin. Where does cygwin get its
> Timezone and DST info from ?
>
> Thanks,
>
> Kris

--
Want to unsubscribe from this list?
Send a message to [email-masked]